plugins {
    id 'com.android.application'
    id 'org.jetbrains.kotlin.android'

}
apply plugin: 'kotlin-android-extensions'
apply plugin: 'kotlin-kapt'
kapt {
    arguments {
        arg("AROUTER_MODULE_NAME", project.getName())
        // 是否生成路由文档，"enable"：生成文档，其他字符串不生成路由文档
        arg("AROUTER_GENERATE_DOC", "enable")
    }
}
android {
    compileSdk 31

    defaultConfig {
        applicationId "com.example.cooleshow"
        minSdk 21
        targetSdk 31
        versionCode 1
        versionName "1.0"
        flavorDimensions "app"//多渠道打包维度不同问题
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }


    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

    packagingOptions {
        resources.excludes.add("META-INF/*")
    }
    kotlinOptions {
        jvmTarget = '1.8'
    }
}

dependencies {
    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.1.3'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.4.0'

    implementation project(':Provider')
    implementation project(path: ':BaseLibrary')
    api project(path: ':usercenter')

    implementation "com.alibaba:arouter-api:$arouter_api_version"
    kapt "com.alibaba:arouter-compiler:$arouter_api_version"
}